OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIS.PixelTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISPixelTexture :: MonadIO m => m Bool
- gl_SGIS_pixel_texture :: Bool
- gl_PIXEL_FRAGMENT_ALPHA_SOURCE_SGIS :: GLenum
- gl_PIXEL_FRAGMENT_RGB_SOURCE_SGIS :: GLenum
- gl_PIXEL_GROUP_COLOR_SGIS :: GLenum
- gl_PIXEL_TEXTURE_SGIS :: GLenum
- glGetPixelTexGenParameterfvSGIS :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glGetPixelTexGenParameterivSGIS :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glPixelTexGenParameterfSGIS :: MonadIO m => GLenum -> GLfloat -> m ()
- glPixelTexGenParameterfvSGIS :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glPixelTexGenParameteriSGIS :: MonadIO m => GLenum -> GLint -> m ()
- glPixelTexGenParameterivSGIS :: MonadIO m => GLenum -> Ptr GLint -> m ()

# Extension Support

glGetSGISPixelTexture :: MonadIO m => m Bool

Is the SGIS_pixel_texture extension supported?

gl_SGIS_pixel_texture :: Bool

Is the SGIS_pixel_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISPixelTexture` in those cases instead.

# Enums

gl_PIXEL_FRAGMENT_ALPHA_SOURCE_SGIS :: GLenum

gl_PIXEL_FRAGMENT_RGB_SOURCE_SGIS :: GLenum

gl_PIXEL_GROUP_COLOR_SGIS :: GLenum

gl_PIXEL_TEXTURE_SGIS :: GLenum

# Functions

glGetPixelTexGenParameterfvSGIS

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTexGenParameterNameSGIS.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glGetPixelTexGenParameterivSGIS

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTexGenParameterNameSGIS.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glPixelTexGenParameterfSGIS

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTexGenParameterNameSGIS.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

glPixelTexGenParameterfvSGIS

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTexGenParameterNameSGIS.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glPixelTexGenParameteriSGIS

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTexGenParameterNameSGIS.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

glPixelTexGenParameterivSGIS

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTexGenParameterNameSGIS.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |